=== metkit/src/CMakeLists.txt ===
add_subdirectory( metkit )
add_subdirectory( tools )
add_subdirectory( tests )
