=== debian/changelog ===
odb-api (0.17.6-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:27 +0000

odb-api (0.17.6-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Update VCS field to salsa.debian.org
  * Update watch file
  * Fix install paths: pkgconfig in /usr/lib/@TRIPLET/pkgconfig
     include files to /usr/include/@TRIPLET
  * Set libodb-api-bin as M-A: foreign
  * Add apache NOTICE to libodb-api-dev.docs

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jan 2018 07:15:15 +0000

odb-api (0.17.6-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2017 10:56:23 +0000

odb-api (0.17.4-4) unstable; urgency=medium

  * B-D on mpi-default-dev, not libopenmpi-dev.
  * Standards-Version now 4.1.2; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Dec 2017 12:00:07 +0000

odb-api (0.17.4-3) unstable; urgency=medium

  * Change odb_api-targets-release.cmake refernces from odb -> ecmwf_odb
  * Make libodb-api-dev depend on libodb-api-bin, as the cmake scripts
    depend on the binaries bein present

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Nov 2017 18:22:05 +0000

odb-api (0.17.4-2) unstable; urgency=medium

  * Delete ecbuild configuartion info from include files that break
    multi-arch usability and reproducibility
  * Rename odb -> ecmwf_odb to avoid conflict. Closes: #880890
  * Disable duplicate method in DenseMap that breaks build on 32-bit systems
    Closes:  #880966
  * Add namespace to swap call on big-endian systems. Closes: #880968

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Nov 2017 17:40:48 +0000

odb-api (0.17.4-1) unstable; urgency=medium

  * New upstream release
  * Close correct bug for ITP. Closes: #873607
  * Standards-Version: 4.1.1
  * Now require libeccodes-dev >= 2.5.0
  * Add ksh depenendency for libodb-api-bin
  * Set DISABLE_OS_CHECK=On. Closes: #880681
  * Sanitise build path in cmake files for reproducibility.
  * Fix for unsigned long convert to size_t on 32-bit systems. Closes: #880680
  * Patch to find libOdb.so.0d in python module via multiarch path

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Nov 2017 10:52:13 +0000

odb-api (0.17.1-1) unstable; urgency=medium

  * Initial release. (Closes: #873067)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 Sep 2017 11:44:23 +0100
