=== debian/watch ===
version=3
https://software.ecmwf.int/wiki/display/ODBAPI/Releases /wiki/download/attachments/61117379/odb_api_bundle\-(.+)\-Source\.tar\.gz\?api=v2
